dojo.provide("com.ibm.pb.iwidget.iWidgetBase");

dojo.require("com.ibm.pb.logging.Loggable");

dojo.declare("com.ibm.pb.iwidget.iWidgetBase", com.ibm.pb.logging.Loggable, {
	builderFactory: com.ibm.mashups.builder.model.Factory,
	builderEvents: com.ibm.mashups.builder.iEvents,
	iWidgetConstants: com.ibm.mashups.iwidget.Constants,
	configConstants: com.ibm.mashups.enabler.services.ConfigConstants,
	serviceManager: com.ibm.mashups.services.ServiceManager,
	roleTypes: com.ibm.mashups.enabler.ac.RoleType,
	
	constructor: function() {
		this.runtimeModel = this.builderFactory.getRuntimeModel();
		this.evtSvc = this.serviceManager.getService(com.ibm.mashups.iwidget.services.EventService.SERVICE_NAME);
		this.configSvc = this.serviceManager.getService(com.ibm.mashups.enabler.services.ConfigService.SERVICE_NAME);
	},
	
	/**
	 * Returns an object map of values retrieved from this iWidget's attributes.  This finds values
	 * for all the keys found in the names array, puts them on the map if they are non-null values,
	 * and returns the map where keys are the attribute names found, and their respective values are
	 * retrieved from the iWidgets attributes.
	 */
	getItemSetValues: function(/*String[]*/ names) {
		var attrs = this.iContext.getiWidgetAttributes();
		var map = {};
		for(var i=0;i<names.length;i++) {
			var val = attrs.getItemValue(names[i]);
			if(val !== null && val !== undefined) {map[names[i]] = val;}
		}
		return map;
	},
	convertMapTypes: function(map, keys, type) {
		var cnv = null;
		switch(type) {
			case "Number":
				cnv = function(key) {
					map[key] = parseInt(map[key],10);
				};
				break;
			case "Boolean":
				cnv = function(key) {
					map[key] = (map[key] === "true" || map[key] === true) ? true : false;
				};
				break;
			case "Object":
				cnv = function(key) {
					if(dojo.isString(map[key])) {map[key] = dojo.eval(map[key]);} // JSLINT-IGNORE: <eval is neccessary to turn string into expression or function>
				};
				break;
			default: 
				cnv = function(key) {};	
		}
		dojo.forEach(keys, function(key){
			if(map[key] !== undefined) {
				cnv(key);
			}
		}, this);
	}
});