/* Copyright IBM Corp. 2012  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.MetaData");

//<INTERFACE>
/**
 * A read-only interface describing meta data associated with a resource.
 * @ibm-api
 * @ibm-module CoreModel
 */
dojo.declare("com.ibm.mashups.enabler.MetaData", null, {
    /**
     * Returns an array of names of the meta data.<br>
     * <br>
     * <b>Note:</b> Modifying the array does not change the meta data. 
     * @return {String[]} an array containing the names; never <code>null</code>
     */
    getMetaDataNames: function(){
    },
    
    /**
     * Returns the value of a meta data entry for the given parameter name.
     * @param {String} name the meta data name; must not be <code>null</null>
     * @return {String} the value of the meta data entry for the given name, or <code>null</code> if none exists
     */
    getMetaData: function(name){
    }
});
//</INTERFACE>

dojo.require("com.ibm.mashups.enabler.ModifiableMetaData");
