/* Copyright IBM Corp. 2012  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.model.SpaceExtensionModel");

dojo.require("com.ibm.mashups.enabler.ListModelController");
dojo.require("com.ibm.mashups.enabler.model.space.SpaceExtension");
dojo.require("com.ibm.mashups.enabler.space.SpaceExtensionLocator");
//<INTERFACE>
/**
 * Interface for a space extension model.
 * 
 * @ibm-api
 * @ibm-module SpaceModel
 */
dojo.declare("com.ibm.mashups.enabler.model.SpaceExtensionModel", [
		com.ibm.mashups.enabler.ListModelController,
		com.ibm.mashups.enabler.space.SpaceExtensionLocator ], {

	/**
	 * Creates a new Space extension. The created node can be inserted into the model 
	 * using an appropriate <code>insert</code> method. The node will not appear 
	 * in the model unless it is inserted.
	 * @param {JSON} context array of predefined information 
	 * used for the creation of the node. Should be <code>null</code>.
	 * @type com.ibm.mashups.enabler.model.space.SpaceExtension 
	 * @return created space extension
	 */
	create : function(context) {
		return new SpaceExtension();
	}
});
//</INTERFACE>

dojo.require("com.ibm.mm.enabler.space.SpaceExtensionModelImpl");
