/* Copyright IBM Corp. 2012  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.model.ThemeModel");

dojo.require("com.ibm.mashups.enabler.ListModel");
dojo.require("com.ibm.mashups.enabler.ResourceLocator");
dojo.require("com.ibm.mashups.enabler.theme.Theme");
dojo.require("com.ibm.mashups.enabler.model.SkinModel");
//<INTERFACE>
/**
 * Interface for a theme model. This list model describes a list of theme objects.<br>
 * <br>
 * The theme model supports the following strategies:
 * <ul>
 * <li>{@link com.ibm.mashups.enabler.strategy.ListLoadAheadStrategy ListLoadAheadStrategy}</li>
 * <li>{@link com.ibm.mashups.enabler.strategy.HiddenMetaDataLoadingStrategy HiddenMetaDataLoadingStrategy}</li>
 * </ul>
 * @ibm-api
 * @ibm-module ThemeModel
 */
dojo.declare("com.ibm.mashups.enabler.model.ThemeModel", [com.ibm.mashups.enabler.ListModel, com.ibm.mashups.enabler.ResourceLocator], {

    /**
     * Returns the skin model for the given theme.
     * @param {com.ibm.mashups.enabler.theme.Theme} theme the Theme for which to return the skin model;
     * must not be <code>null</code>
     * @type com.ibm.mashups.enabler.model.SkinModel
     * @return skin model for given theme, Never <code>null</code>.
     */
    getSkinModel: function(theme){
    }
});
//</INTERFACE>

dojo.require("com.ibm.mm.enabler.theme.ThemeModelImpl");
