/* Copyright IBM Corp. 2012  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.strategy.UserLoadAheadStrategy");

dojo.require("com.ibm.mashups.enabler.strategy.Strategy");
dojo.require("com.ibm.mashups.enabler.user.Factory");

/**
 * Interface that defines a load ahead mulipart strategy for loading a user
 * as part of a multipart request
 * @ibm-api
 * @ibm-module UserModel
 */
dojo.declare("com.ibm.mashups.enabler.strategy.UserLoadAheadStrategy", com.ibm.mashups.enabler.strategy.Strategy, {
    /**
     * @param {boolean} loadAheadUser if the current user should be
     * preloaded. Must not be <code>null</code>.
     */
    constructor: function(loadAheadUser){
        this.loadAheadUser = loadAheadUser;
        this.userModel = null;
    },
    
    /**
     * Returns if the current user should be loaded
     * @return {Boolean} <code>true</code> if the current user should be
     *                   preloaded, <code>false</code> otherwise
     */
    isLoadAheadUser: function(){
        return this.loadAheadUser;
    },
    
    // temporary
    setUserModel: function(userModel){
        this.userModel = userModel;
    },
    
    getUserModel: function(){
        if (null === this.userModel) {
            this.userModel = com.ibm.mashups.enabler.user.Factory.getUserModel();
        }
        return this.userModel;
    }
});
